Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxdpms.c File Reference

`#include "dmx.h"`
`#include "dmxdpms.h"`
`#include "dmxlog.h"`
`#include "dmxsync.h"`
`#include "dpmsproc.h"`
`#include "windowstr.h"`
`#include "X11/extensions/dpms.h"`

## Functions
void | dmxDPMSInit (DMXScreenInfo *dmxScreen)
void | dmxDPMSTerm (DMXScreenInfo *dmxScreen)
void | dmxDPMSWakeup (void)

## Detailed Description

Provides DPMS support and unifies all DPMS and other screen-saver support in one file. If -dpms is given on the command line, or the Xdmx server is not compiled with DPMS support, then the DPMS extension does not work for clients, but DPMS on the backends is still disables (and restored at Xdmx server shutdown time).

## Function Documentation

void dmxDPMSInit | ( | DMXScreenInfo * | dmxScreen | ) |

| Initialize DPMS support. We save the current settings and turn off DPMS. The settings are restored in dmxDPMSTerm.

void dmxDPMSTerm | ( | DMXScreenInfo * | dmxScreen | ) |

| Terminate DPMS support on dmxScreen. We restore the settings saved in dmxDPMSInit.

void dmxDPMSWakeup | ( | void |  | ) |

| Called when activity is detected so that DPMS power-saving mode can be deactivated.